> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List workflow task schemas

GET https://{tenant_name}.benchling.com/api/v2/workflow-task-schemas

List workflow task schemas

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/schemas/list-workflow-task-schemas

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `nextToken` (string, optional)
- `pageSize` (integer, optional, default: 50)
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.

## Response

### 200

OK

- `nextToken` (string, optional)
- `workflowTaskSchemas` (list of WorkflowTaskSchema, optional)

## Errors

### 404 Not Found Error

Not found

- `error` (NotFoundErrorError, optional)

## Types

### WorkflowTaskSchema

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `fieldDefinitions` (list of WorkflowTaskSchemaFieldDefinitionsItems, optional)
- `id` (string, optional)
- `name` (string, optional)
- `type` (string, optional)
- `canSetAssigneeOnTaskCreation` (boolean, optional) — Whether or not tasks of this schema can be created with a non-null assignee.
- `defaultCreationFolderId` (string, optional, nullable) — ID of the default folder for creating workflow task groups
- `defaultEntryExecutionFolderId` (string, optional, nullable) — ID of the default folder for workflow task execution entries
- `defaultResponsibleTeam` (TeamSummary, optional, nullable)
- `entryTemplateId` (string, optional, nullable) — The ID of the template of the entries tasks of this schema will be executed into.
- `isPropagateWatchersEnabled` (boolean, optional) — Whether propagation of watchers has been enabled for this task schema.
- `prefix` (string, optional) — The prefix for the displayId of tasks of this schema.
- `statusLifecycle` (WorkflowTaskStatusLifecycle, optional)
- `taskGroupPrefix` (string, optional) — The prefix for the displayId of task groups containing tasks of this schema
- `workflowOutputSchema` (WorkflowOutputSchema, optional, nullable)
- `defaultResponsibleParties` (list of PartySummary, optional) — Default list of users and teams that are responsible for tasks of this schema
- `executionType` (enum, optional) — The method by which instances of this schema are executed
  - Allowed values: `DIRECT`, `ENTRY`, `FLOWCHART`, `PROCEDURE`, `PROCEDURE_METHOD`, `PROCEDURE_STEP`
- `flowchartConfig` (WorkflowFlowchartConfigSummary, optional)
- `modifiedAt` (datetime, optional) — DateTime the Oligo was last modified.

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### ArchiveRecord

- `reason` (string, optional)

### WorkflowTaskSchemaFieldDefinitionsItems

### TeamSummary

- `id` (string, optional)
- `name` (string, optional)

### WorkflowTaskStatusLifecycle

- `id` (string, optional)
- `initialStatus` (WorkflowTaskStatus, optional)
- `name` (string, optional)
- `statuses` (list of WorkflowTaskStatus, optional)
- `transitions` (list of WorkflowTaskStatusLifecycleTransition, optional)

### WorkflowOutputSchema

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `fieldDefinitions` (list of WorkflowOutputSchemaFieldDefinitionsItems, optional)
- `id` (string, optional)
- `name` (string, optional)
- `type` (string, optional)
- `prefix` (string, optional)

### PartySummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### WorkflowFlowchartConfigSummary

- `flowchartConfigVersionIds` (list of string, optional) — The ID of all the versions of this flowchart config sorted chronologically from most recent (current) version to the least recent one
- `id` (string, optional) — The ID of the workflow flowchart config

### SimpleFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### IntegerFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `numericMax` (double, optional, nullable)
- `numericMin` (double, optional, nullable)
- `unit` (UnitSummary, optional, nullable)

### FloatFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `decimalPrecision` (double, optional, nullable)
- `legalTextDropdownId` (string, optional, nullable)
- `numericMax` (double, optional, nullable)
- `numericMin` (double, optional, nullable)
- `unit` (UnitSummary, optional, nullable)

### DropdownFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `dropdownId` (string, optional, nullable)

### SchemaLinkFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `schemaId` (string, optional, nullable)

### WorkflowTaskStatus

- `displayName` (string, optional) — The status label
- `id` (string, optional) — The ID of the workflow task status
- `statusType` (enum, optional) — The status type
  - Allowed values: `PENDING`, `IN_PROGRESS`, `FAILED`, `CANCELLED`, `INVALID`, `COMPLETED`

### WorkflowTaskStatusLifecycleTransition

- `from` (WorkflowTaskStatus, optional)
- `to` (WorkflowTaskStatus, optional)

### WorkflowOutputSchemaFieldDefinitionsItems

### UnitSummary

- `id` (string, optional)
- `name` (string, optional)
- `symbol` (string, optional)
- `unitTypeId` (string, optional)

## Examples

**Response**

```json
{
  "nextToken": "Im5ldyB0ZXN0Ig==",
  "workflowTaskSchemas": [
    {
      "archiveRecord": {
        "reason": "Made in error"
      },
      "fieldDefinitions": [
        {
          "archiveRecord": {
            "reason": "Made in error"
          },
          "id": "tsf_HXUnClU9",
          "isMulti": true,
          "isRequired": true,
          "name": "Resistance Gene",
          "type": "dna_sequence_link"
        }
      ],
      "id": "string",
      "name": "string",
      "type": "string",
      "canSetAssigneeOnTaskCreation": true,
      "defaultCreationFolderId": "string",
      "defaultEntryExecutionFolderId": "string",
      "defaultResponsibleTeam": {
        "id": "string",
        "name": "string"
      },
      "entryTemplateId": "tmpl_27b8fb",
      "isPropagateWatchersEnabled": true,
      "prefix": "string",
      "statusLifecycle": {
        "id": "prstswf_123kjlkj",
        "initialStatus": {
          "displayName": "Pending",
          "id": "wfts_wQzUCsW0",
          "statusType": "PENDING"
        },
        "name": "Direct Completion",
        "statuses": [
          {
            "displayName": "Pending",
            "id": "prsts_wQzUCsW0",
            "statusType": "PENDING"
          },
          {
            "displayName": "In Progress",
            "id": "prsts_fc0781",
            "statusType": "IN_PROGRESS"
          }
        ],
        "transitions": [
          {
            "from": {
              "displayName": "Pending",
              "id": "wfts_wQzUCsW0",
              "statusType": "PENDING"
            },
            "to": {
              "displayName": "Pending",
              "id": "wfts_wQzUCsW0",
              "statusType": "PENDING"
            }
          }
        ]
      },
      "taskGroupPrefix": "string",
      "workflowOutputSchema": {
        "archiveRecord": {
          "reason": "Made in error"
        },
        "fieldDefinitions": [
          {
            "archiveRecord": {
              "reason": "Made in error"
            },
            "id": "tsf_HXUnClU9",
            "isMulti": true,
            "isRequired": true,
            "name": "Resistance Gene",
            "type": "dna_sequence_link"
          }
        ],
        "id": "string",
        "name": "string",
        "type": "string",
        "prefix": "string"
      },
      "defaultResponsibleParties": [
        {
          "handle": "string",
          "id": "string",
          "name": "string"
        }
      ],
      "executionType": "DIRECT",
      "flowchartConfig": {
        "flowchartConfigVersionIds": [
          "wffccv_giVNQcAF"
        ],
        "id": "wffcc_giVNQcAF"
      },
      "modifiedAt": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/workflow-task-schemas"

querystring = {"modifiedAt":"> 2022-03-01 AND < 2022-04-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/workflow-task-schemas?modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```